<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp/Authorization/CBLAuthDelegate/src -&gt; AVSCommon Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li><li class="navelem"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a></li><li class="navelem"><a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a></li><li class="navelem"><a class="el" href="dir_84a78700764e47b4a66040dc2a64606c.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>src &rarr; AVSCommon Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in SampleApp/Authorization/CBLAuthDelegate/src</th><th class="dirtab">Includes file in AVSCommon</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_c_b_l_auth_delegate_8cpp.html">CBLAuthDelegate.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_0cdc2576cbdff8bbeec8f5cd9892073c.html">Initialization</a>&#160;/&#160;<a class="el" href="_alexa_client_s_d_k_init_8h.html">AlexaClientSDKInit.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_c_b_l_auth_delegate_8cpp.html">CBLAuthDelegate.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_device_info_8h.html">DeviceInfo.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_c_b_l_auth_delegate_8cpp.html">CBLAuthDelegate.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_http_post_8h.html">HttpPost.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_c_b_l_auth_delegate_8cpp.html">CBLAuthDelegate.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6824e81d298af54a27a92358c374ca3f.html">HTTP</a>&#160;/&#160;<a class="el" href="_http_response_code_8h.html">HttpResponseCode.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_c_b_l_auth_delegate_8cpp.html">CBLAuthDelegate.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_c_b_l_auth_delegate_configuration_8cpp.html">CBLAuthDelegateConfiguration.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_device_info_8h.html">DeviceInfo.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_c_b_l_auth_delegate_configuration_8cpp.html">CBLAuthDelegateConfiguration.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_s_q_lite_c_b_l_auth_delegate_storage_8cpp.html">SQLiteCBLAuthDelegateStorage.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_afaa3f3d841804ab5aeaebc7aa06ead7.html">Configuration</a>&#160;/&#160;<a class="el" href="_configuration_node_8h.html">ConfigurationNode.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_s_q_lite_c_b_l_auth_delegate_storage_8cpp.html">SQLiteCBLAuthDelegateStorage.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_9a98853513cdd8530cb150a5b3497472.html">File</a>&#160;/&#160;<a class="el" href="_file_utils_8h.html">FileUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_s_q_lite_c_b_l_auth_delegate_storage_8cpp.html">SQLiteCBLAuthDelegateStorage.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_s_q_lite_c_b_l_auth_delegate_storage_8cpp.html">SQLiteCBLAuthDelegateStorage.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_3a483a83431ac924abcf278c839947d0.html">String</a>&#160;/&#160;<a class="el" href="_string_utils_8h.html">StringUtils.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
